aboutsummaryrefslogtreecommitdiff
path: root/test/emit_test/emit_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/emit_test/emit_test.sh')
-rwxr-xr-xtest/emit_test/emit_test.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/test/emit_test/emit_test.sh b/test/emit_test/emit_test.sh
new file mode 100755
index 0000000..addecfc
--- /dev/null
+++ b/test/emit_test/emit_test.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+set -e
+cd `dirname $0`/../..
+ROOT=`pwd`
+TMP=build/tmp/test
+${ROOT}/scripts/build.sh
+
+mkdir -p ${TMP}/emit_test
+rm -rf ${TMP}/emit_test/*
+bin/flatcc -a -o ${TMP}/emit_test test/emit_test/emit_test.fbs \
+ test/monster_test/monster_test.fbs
+cp test/emit_test/*.c ${TMP}/emit_test
+cd ${TMP}/emit_test
+cc -g -I ${ROOT}/include emit_test.c \
+ ${ROOT}/lib/libflatccrt.a -o emit_test_d
+echo "running emit test"
+./emit_test_d
+